--- Qt3/Qsci/qsciabstractapis.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qsciabstractapis.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIABSTRACTAPIS_H
 #define QSCIABSTRACTAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstringlist.h>
 
@@ -99,8 +95,4 @@
     QsciAbstractAPIs &operator=(const QsciAbstractAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qsciapis.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qsciapis.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIAPIS_H
 #define QSCIAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qpair.h>
 #include <qstringlist.h>
@@ -221,8 +217,4 @@
     QsciAPIs &operator=(const QsciAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscicommand.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscicommand.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCICOMMAND_H
 #define QSCICOMMAND_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -408,8 +404,4 @@
     QsciCommand &operator=(const QsciCommand &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscicommandset.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscicommandset.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCICOMMANDSET_H
 #define QSCICOMMANDSET_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <qptrlist.h>
@@ -95,8 +91,4 @@
     QsciCommandSet &operator=(const QsciCommandSet &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscidocument.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscidocument.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIDOCUMENT_H
 #define QSCIDOCUMENT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 
 
@@ -67,8 +63,4 @@
     QsciDocumentP *pdoc;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qsciglobal.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qsciglobal.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIGLOBAL_H
 #define QSCIGLOBAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 
@@ -60,8 +56,4 @@
 #define QT_END_NAMESPACE
 #endif
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexer.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexer.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXER_H
 #define QSCILEXER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qcolor.h>
 #include <qfont.h>
 #include <qmap.h>
@@ -356,8 +352,4 @@
     QsciLexer &operator=(const QsciLexer &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerbash.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerbash.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERBASH_H
 #define QSCILEXERBASH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -184,8 +180,4 @@
 	QsciLexerBash &operator=(const QsciLexerBash &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerbatch.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerbatch.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERBATCH_H
 #define QSCILEXERBATCH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -121,8 +117,4 @@
     QsciLexerBatch &operator=(const QsciLexerBatch &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexercmake.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexercmake.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCMAKE_H
 #define QSCILEXERCMAKE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -166,8 +162,4 @@
     QsciLexerCMake &operator=(const QsciLexerCMake &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexercpp.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexercpp.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCPP_H
 #define QSCILEXERCPP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -351,8 +347,4 @@
     QsciLexerCPP &operator=(const QsciLexerCPP &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexercsharp.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexercsharp.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCSHARP_H
 #define QSCILEXERCSHARP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -83,8 +79,4 @@
     QsciLexerCSharp &operator=(const QsciLexerCSharp &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexercss.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexercss.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCSS_H
 #define QSCILEXERCSS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -258,8 +254,4 @@
     QsciLexerCSS &operator=(const QsciLexerCSS &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexercustom.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexercustom.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCUSTOM_H
 #define QSCILEXERCUSTOM_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 #include <Qsci/qscilexer.h>
 
@@ -109,8 +105,4 @@
     QsciLexerCustom &operator=(const QsciLexerCustom &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerd.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerd.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERD_H
 #define QSCILEXERD_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -248,8 +244,4 @@
     QsciLexerD &operator=(const QsciLexerD &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerdiff.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerdiff.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERDIFF_H
 #define QSCILEXERDIFF_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -101,8 +97,4 @@
     QsciLexerDiff &operator=(const QsciLexerDiff &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerfortran.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerfortran.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERFORTRAN_H
 #define QSCILEXERFORTRAN_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -65,8 +61,4 @@
     QsciLexerFortran &operator=(const QsciLexerFortran &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerfortran77.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerfortran77.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERFORTRAN77_H
 #define QSCILEXERFORTRAN77_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -174,8 +170,4 @@
     QsciLexerFortran77 &operator=(const QsciLexerFortran77 &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerhtml.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerhtml.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERHTML_H
 #define QSCILEXERHTML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -538,8 +534,4 @@
     QsciLexerHTML &operator=(const QsciLexerHTML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexeridl.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexeridl.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERIDL_H
 #define QSCILEXERIDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -70,8 +66,4 @@
     QsciLexerIDL &operator=(const QsciLexerIDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerjava.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerjava.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERJAVA_H
 #define QSCILEXERJAVA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -61,8 +57,4 @@
     QsciLexerJava &operator=(const QsciLexerJava &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerjavascript.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerjavascript.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERJSCRIPT_H
 #define QSCILEXERJSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -87,8 +83,4 @@
     QsciLexerJavaScript &operator=(const QsciLexerJavaScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerlua.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerlua.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERLUA_H
 #define QSCILEXERLUA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -200,8 +196,4 @@
     QsciLexerLua &operator=(const QsciLexerLua &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexermakefile.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexermakefile.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERMAKEFILE_H
 #define QSCILEXERMAKEFILE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -111,8 +107,4 @@
     QsciLexerMakefile &operator=(const QsciLexerMakefile &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexermatlab.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexermatlab.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERMATLAB_H
 #define QSCILEXERMATLAB_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -110,8 +106,4 @@
     QsciLexerMatlab &operator=(const QsciLexerMatlab &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexeroctave.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexeroctave.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXEROCTAVE_H
 #define QSCILEXEROCTAVE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -66,8 +62,4 @@
     QsciLexerOctave &operator=(const QsciLexerOctave &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerpascal.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerpascal.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPASCAL_H
 #define QSCILEXERPASCAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -233,8 +229,4 @@
     QsciLexerPascal &operator=(const QsciLexerPascal &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerperl.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt3/Qsci/qscilexerperl.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPERL_H
 #define QSCILEXERPERL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -318,8 +314,4 @@
     QsciLexerPerl &operator=(const QsciLexerPerl &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerpostscript.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerpostscript.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPOSTSCRIPT_H
 #define QSCILEXERPOSTSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -210,8 +206,4 @@
     QsciLexerPostScript &operator=(const QsciLexerPostScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerpov.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerpov.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPOV_H
 #define QSCILEXERPOV_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -209,8 +205,4 @@
     QsciLexerPOV &operator=(const QsciLexerPOV &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerproperties.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerproperties.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPROPERTIES_H
 #define QSCILEXERPROPERTIES_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -156,8 +152,4 @@
     QsciLexerProperties &operator=(const QsciLexerProperties &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerpython.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerpython.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPYTHON_H
 #define QSCILEXERPYTHON_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -327,8 +323,4 @@
     QsciLexerPython &operator=(const QsciLexerPython &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerruby.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerruby.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERRUBY_H
 #define QSCILEXERRUBY_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -246,8 +242,4 @@
     QsciLexerRuby &operator=(const QsciLexerRuby &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerspice.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerspice.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERSPICE_H
 #define QSCILEXERSPICE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -112,8 +108,4 @@
     QsciLexerSpice &operator=(const QsciLexerSpice &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexersql.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexersql.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERSQL_H
 #define QSCILEXERSQL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -289,8 +285,4 @@
     QsciLexerSQL &operator=(const QsciLexerSQL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexertcl.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexertcl.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERTCL_H
 #define QSCILEXERTCL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -195,8 +191,4 @@
 	QsciLexerTCL &operator=(const QsciLexerTCL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexertex.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexertex.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERTEX_H
 #define QSCILEXERTEX_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -169,8 +165,4 @@
     QsciLexerTeX &operator=(const QsciLexerTeX &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerverilog.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerverilog.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERVERILOG_H
 #define QSCILEXERVERILOG_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -229,8 +225,4 @@
     QsciLexerVerilog &operator=(const QsciLexerVerilog &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexervhdl.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexervhdl.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERVHDL_H
 #define QSCILEXERVHDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -224,8 +220,4 @@
     QsciLexerVHDL &operator=(const QsciLexerVHDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexerxml.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexerxml.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERXML_H
 #define QSCILEXERXML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -112,8 +108,4 @@
     QsciLexerXML &operator=(const QsciLexerXML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscilexeryaml.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscilexeryaml.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERYAML_H
 #define QSCILEXERYAML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -153,8 +149,4 @@
     QsciLexerYAML &operator=(const QsciLexerYAML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscimacro.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscimacro.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIMACRO_H
 #define QSCIMACRO_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstring.h>
 
@@ -105,8 +101,4 @@
     QsciMacro &operator=(const QsciMacro &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qsciprinter.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qsciprinter.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIPRINTER_H
 #define QSCIPRINTER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 // This is needed for Qt v5.0.0-alpha.
 #if defined(B0)
 #undef B0
@@ -114,8 +110,4 @@
     QsciPrinter &operator=(const QsciPrinter &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qsciscintilla.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qsciscintilla.h	2013-12-02 10:00:12.000000000 -0500
@@ -27,10 +27,6 @@
 #ifndef QSCISCINTILLA_H
 #define QSCISCINTILLA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstringlist.h>
 
@@ -2085,8 +2081,4 @@
     QsciScintilla &operator=(const QsciScintilla &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qsciscintillabase.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qsciscintillabase.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISCINTILLABASE_H
 #define QSCISCINTILLABASE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <qwidget.h>
@@ -3309,8 +3305,4 @@
     QsciScintillaBase &operator=(const QsciScintillaBase &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscistyle.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscistyle.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISTYLE_H
 #define QSCISTYLE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qcolor.h>
 #include <qfont.h>
 #include <qstring.h>
@@ -195,8 +191,4 @@
     void init(int style);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt3/Qsci/qscistyledtext.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt3/Qsci/qscistyledtext.h	2013-12-02 10:00:12.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISTYLEDTEXT_H
 #define QSCISTYLEDTEXT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -70,8 +66,4 @@
     const QsciStyle *explicit_style;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciabstractapis.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qsciabstractapis.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIABSTRACTAPIS_H
 #define QSCIABSTRACTAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstringlist.h>
 
@@ -98,8 +94,4 @@
     QsciAbstractAPIs &operator=(const QsciAbstractAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciapis.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qsciapis.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIAPIS_H
 #define QSCIAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qpair.h>
 #include <qstringlist.h>
@@ -221,8 +217,4 @@
     QsciAPIs &operator=(const QsciAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscicommand.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscicommand.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCICOMMAND_H
 #define QSCICOMMAND_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -408,8 +404,4 @@
     QsciCommand &operator=(const QsciCommand &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscicommandset.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscicommandset.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCICOMMANDSET_H
 #define QSCICOMMANDSET_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <QList>
@@ -95,8 +91,4 @@
     QsciCommandSet &operator=(const QsciCommandSet &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscidocument.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscidocument.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIDOCUMENT_H
 #define QSCIDOCUMENT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 
 
@@ -67,8 +63,4 @@
     QsciDocumentP *pdoc;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciglobal.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qsciglobal.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIGLOBAL_H
 #define QSCIGLOBAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 
@@ -60,8 +56,4 @@
 #define QT_END_NAMESPACE
 #endif
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexer.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexer.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXER_H
 #define QSCILEXER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qcolor.h>
 #include <qfont.h>
 #include <qmap.h>
@@ -356,8 +352,4 @@
     QsciLexer &operator=(const QsciLexer &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerbash.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerbash.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERBASH_H
 #define QSCILEXERBASH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -184,8 +180,4 @@
 	QsciLexerBash &operator=(const QsciLexerBash &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerbatch.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerbatch.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERBATCH_H
 #define QSCILEXERBATCH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -121,8 +117,4 @@
     QsciLexerBatch &operator=(const QsciLexerBatch &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercmake.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexercmake.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCMAKE_H
 #define QSCILEXERCMAKE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -166,8 +162,4 @@
     QsciLexerCMake &operator=(const QsciLexerCMake &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercpp.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexercpp.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCPP_H
 #define QSCILEXERCPP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -349,8 +345,4 @@
     QsciLexerCPP &operator=(const QsciLexerCPP &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercsharp.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexercsharp.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCSHARP_H
 #define QSCILEXERCSHARP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -83,8 +79,4 @@
     QsciLexerCSharp &operator=(const QsciLexerCSharp &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercss.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexercss.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCSS_H
 #define QSCILEXERCSS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -258,8 +254,4 @@
     QsciLexerCSS &operator=(const QsciLexerCSS &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercustom.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexercustom.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERCUSTOM_H
 #define QSCILEXERCUSTOM_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 #include <Qsci/qscilexer.h>
 
@@ -109,8 +105,4 @@
     QsciLexerCustom &operator=(const QsciLexerCustom &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerd.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerd.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERD_H
 #define QSCILEXERD_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -248,8 +244,4 @@
     QsciLexerD &operator=(const QsciLexerD &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerdiff.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerdiff.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERDIFF_H
 #define QSCILEXERDIFF_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -101,8 +97,4 @@
     QsciLexerDiff &operator=(const QsciLexerDiff &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerfortran.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerfortran.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERFORTRAN_H
 #define QSCILEXERFORTRAN_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -65,8 +61,4 @@
     QsciLexerFortran &operator=(const QsciLexerFortran &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerfortran77.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerfortran77.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERFORTRAN77_H
 #define QSCILEXERFORTRAN77_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -174,8 +170,4 @@
     QsciLexerFortran77 &operator=(const QsciLexerFortran77 &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerhtml.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerhtml.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERHTML_H
 #define QSCILEXERHTML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -538,8 +534,4 @@
     QsciLexerHTML &operator=(const QsciLexerHTML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeridl.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexeridl.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERIDL_H
 #define QSCILEXERIDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -70,8 +66,4 @@
     QsciLexerIDL &operator=(const QsciLexerIDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerjava.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerjava.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERJAVA_H
 #define QSCILEXERJAVA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -61,8 +57,4 @@
     QsciLexerJava &operator=(const QsciLexerJava &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerjavascript.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerjavascript.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERJSCRIPT_H
 #define QSCILEXERJSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -87,8 +83,4 @@
     QsciLexerJavaScript &operator=(const QsciLexerJavaScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerlua.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerlua.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERLUA_H
 #define QSCILEXERLUA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -200,8 +196,4 @@
     QsciLexerLua &operator=(const QsciLexerLua &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexermakefile.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexermakefile.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERMAKEFILE_H
 #define QSCILEXERMAKEFILE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -111,8 +107,4 @@
     QsciLexerMakefile &operator=(const QsciLexerMakefile &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexermatlab.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexermatlab.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERMATLAB_H
 #define QSCILEXERMATLAB_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -110,8 +106,4 @@
     QsciLexerMatlab &operator=(const QsciLexerMatlab &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeroctave.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexeroctave.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXEROCTAVE_H
 #define QSCILEXEROCTAVE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -66,8 +62,4 @@
     QsciLexerOctave &operator=(const QsciLexerOctave &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpascal.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerpascal.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPASCAL_H
 #define QSCILEXERPASCAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -233,8 +229,4 @@
     QsciLexerPascal &operator=(const QsciLexerPascal &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerperl.h	2013-06-16 09:03:29.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerperl.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPERL_H
 #define QSCILEXERPERL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -318,8 +314,4 @@
     QsciLexerPerl &operator=(const QsciLexerPerl &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpostscript.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerpostscript.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPOSTSCRIPT_H
 #define QSCILEXERPOSTSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -210,8 +206,4 @@
     QsciLexerPostScript &operator=(const QsciLexerPostScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpov.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerpov.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPOV_H
 #define QSCILEXERPOV_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -209,8 +205,4 @@
     QsciLexerPOV &operator=(const QsciLexerPOV &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerproperties.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerproperties.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPROPERTIES_H
 #define QSCILEXERPROPERTIES_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -156,8 +152,4 @@
     QsciLexerProperties &operator=(const QsciLexerProperties &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpython.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerpython.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERPYTHON_H
 #define QSCILEXERPYTHON_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -327,8 +323,4 @@
     QsciLexerPython &operator=(const QsciLexerPython &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerruby.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerruby.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERRUBY_H
 #define QSCILEXERRUBY_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -246,8 +242,4 @@
     QsciLexerRuby &operator=(const QsciLexerRuby &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerspice.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerspice.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERSPICE_H
 #define QSCILEXERSPICE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -112,8 +108,4 @@
     QsciLexerSpice &operator=(const QsciLexerSpice &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexersql.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexersql.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERSQL_H
 #define QSCILEXERSQL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -289,8 +285,4 @@
     QsciLexerSQL &operator=(const QsciLexerSQL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexertcl.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexertcl.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERTCL_H
 #define QSCILEXERTCL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -195,8 +191,4 @@
 	QsciLexerTCL &operator=(const QsciLexerTCL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexertex.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexertex.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERTEX_H
 #define QSCILEXERTEX_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -169,8 +165,4 @@
     QsciLexerTeX &operator=(const QsciLexerTeX &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerverilog.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerverilog.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERVERILOG_H
 #define QSCILEXERVERILOG_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -229,8 +225,4 @@
     QsciLexerVerilog &operator=(const QsciLexerVerilog &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexervhdl.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexervhdl.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERVHDL_H
 #define QSCILEXERVHDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -224,8 +220,4 @@
     QsciLexerVHDL &operator=(const QsciLexerVHDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerxml.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexerxml.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERXML_H
 #define QSCILEXERXML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -112,8 +108,4 @@
     QsciLexerXML &operator=(const QsciLexerXML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeryaml.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscilexeryaml.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCILEXERYAML_H
 #define QSCILEXERYAML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 
 #include <Qsci/qsciglobal.h>
@@ -153,8 +149,4 @@
     QsciLexerYAML &operator=(const QsciLexerYAML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscimacro.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscimacro.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIMACRO_H
 #define QSCIMACRO_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstring.h>
 
@@ -105,8 +101,4 @@
     QsciMacro &operator=(const QsciMacro &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciprinter.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qsciprinter.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCIPRINTER_H
 #define QSCIPRINTER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 // This is needed for Qt v5.0.0-alpha.
 #if defined(B0)
 #undef B0
@@ -114,8 +110,4 @@
     QsciPrinter &operator=(const QsciPrinter &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciscintilla.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qsciscintilla.h	2013-12-02 10:00:38.000000000 -0500
@@ -27,10 +27,6 @@
 #ifndef QSCISCINTILLA_H
 #define QSCISCINTILLA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qobject.h>
 #include <qstringlist.h>
 
@@ -2097,8 +2093,4 @@
     QsciScintilla &operator=(const QsciScintilla &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciscintillabase.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qsciscintillabase.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISCINTILLABASE_H
 #define QSCISCINTILLABASE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <QAbstractScrollArea>
@@ -3322,8 +3318,4 @@
     QsciScintillaBase &operator=(const QsciScintillaBase &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscistyle.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscistyle.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISTYLE_H
 #define QSCISTYLE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qcolor.h>
 #include <qfont.h>
 #include <qstring.h>
@@ -195,8 +191,4 @@
     void init(int style);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscistyledtext.h	2013-06-16 09:03:30.000000000 -0400
+++ Qt4Qt5/Qsci/qscistyledtext.h	2013-12-02 10:00:38.000000000 -0500
@@ -26,10 +26,6 @@
 #ifndef QSCISTYLEDTEXT_H
 #define QSCISTYLEDTEXT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -68,8 +64,4 @@
     const QsciStyle *explicit_style;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
